Menu
AWS Elastic Beanstalk
Developer Guide (API Version 2010-12-01)

Ruby Platform History

This page lists the previous versions of AWS Elastic Beanstalk's Ruby platforms and the dates that each version was current. Platform versions that you have used to launch an environment remain available even after they are no longer current.

See the Supported Platforms page for information on the latest version of each platform supported by Elastic Beanstalk. Detailed release notes are available for recent releases at aws.amazon.com/releasenotes.

Elastic Beanstalk supports the following platform configurations for Ruby environments created between between October 28, 2016 and December 21, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Proxy Server

Ruby 2.3 with Puma version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.3 (Puma)

2016.09.0

Ruby 2.3.1-p112

RubyGems 2.5.1

Puma 2.16.0

nginx 1.10.1

Ruby 2.3 with Passenger version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.3 (Passenger Standalone)

2016.09.0

Ruby 2.3.1-p112

RubyGems 2.5.1

Passenger 4.0.60

nginx 1.10.1

Ruby 2.2 with Puma version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.2 (Puma)

2016.09.0

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Puma 2.16.0

nginx 1.10.1

Ruby 2.2 with Passenger version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.2 (Passenger Standalone)

2016.09.0

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Passenger 4.0.60

nginx 1.10.1

Ruby 2.1 with Puma version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.1 (Puma)

2016.09.0

Ruby 2.1.9-p490

RubyGems 2.2.5

Puma 2.16.0

nginx 1.10.1

Ruby 2.1 with Passenger version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.1 (Passenger Standalone)

2016.09.0

Ruby 2.1.9-p490

RubyGems 2.2.5

Passenger 4.0.60

nginx 1.10.1

Ruby 2.0 with Puma version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.0 (Puma)

2016.09.0

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.16.0

nginx 1.10.1

Ruby 2.0 with Passenger version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 2.0 (Passenger Standalone)

2016.09.0

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.60

nginx 1.10.1

Ruby 1.9 with Passenger version 2.2.0

64bit Amazon Linux 2016.09 v2.2.0 running Ruby 1.9.3

2016.09.0

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.60

nginx 1.10.1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between between August 24, 2016 and October 27, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Proxy Server

Ruby 2.3 with Puma version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.3 (Puma)

2016.03.3

Ruby 2.3.1-p112

RubyGems 2.5.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.3 with Passenger version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.3 (Passenger Standalone)

2016.03.3

Ruby 2.3.1-p112

RubyGems 2.5.1

Passenger 4.0.60

nginx 1.8.1

Ruby 2.2 with Puma version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.2 (Puma)

2016.03.3

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.2 with Passenger version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.2 (Passenger Standalone)

2016.03.3

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Passenger 4.0.60

nginx 1.8.1

Ruby 2.1 with Puma version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.1 (Puma)

2016.03.3

Ruby 2.1.9-p490

RubyGems 2.2.5

Puma 2.16.0

nginx 1.8.1

Ruby 2.1 with Passenger version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.1 (Passenger Standalone)

2016.03.3

Ruby 2.1.9-p490

RubyGems 2.2.5

Passenger 4.0.60

nginx 1.8.1

Ruby 2.0 with Puma version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.0 (Puma)

2016.03.3

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.0 with Passenger version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 2.0 (Passenger Standalone)

2016.03.3

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.60

nginx 1.8.1

Ruby 1.9 with Passenger version 2.1.6

64bit Amazon Linux 2016.03 v2.1.6 running Ruby 1.9.3

2016.03.3

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.60

nginx 1.8.1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between between June 26, 2016 and August 24, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Proxy Server

Ruby 2.3 with Puma version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.3 (Puma)

2016.03.2

Ruby 2.3.1-p112

RubyGems 2.5.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.3 with Passenger version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.3 (Passenger Standalone)

2016.03.2

Ruby 2.3.1-p112

RubyGems 2.5.1

Passenger 4.0.60

nginx 1.8.1

Ruby 2.2 with Puma version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.2 (Puma)

2016.03.2

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.2 with Passenger version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.2 (Passenger Standalone)

2016.03.2

Ruby 2.2.5-p319

RubyGems 2.4.5.1

Passenger 4.0.60

nginx 1.8.1

Ruby 2.1 with Puma version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.1 (Puma)

2016.03.2

Ruby 2.1.9-p490

RubyGems 2.2.5

Puma 2.16.0

nginx 1.8.1

Ruby 2.1 with Passenger version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.1 (Passenger Standalone)

2016.03.2

Ruby 2.1.9-p490

RubyGems 2.2.5

Passenger 4.0.60

nginx 1.8.1

Ruby 2.0 with Puma version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.0 (Puma)

2016.03.2

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.16.0

nginx 1.8.1

Ruby 2.0 with Passenger version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 2.0 (Passenger Standalone)

2016.03.2

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.60

nginx 1.8.1

Ruby 1.9 with Passenger version 2.1.3

64bit Amazon Linux 2016.03 v2.1.3 running Ruby 1.9.3

2016.03.2

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.60

nginx 1.8.1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between between May 13, 2016 and June 26, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Proxy Server

Ruby 2.3 with Puma version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.3 (Puma)

2016.03

Ruby 2.3

RubyGems 2.5.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.3 with Passenger version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.3 (Passenger Standalone)

2016.03

Ruby 2.3

RubyGems 2.5.1

Passenger 4.0.59

nginx 1.8.1

Ruby 2.2 with Puma version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.2 (Puma)

2016.03

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.2 with Passenger version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.2 (Passenger Standalone)

2016.03

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Passenger 4.0.59

nginx 1.8.1

Ruby 2.1 with Puma version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.1 (Puma)

2016.03

Ruby 2.1.8-p440

RubyGems 2.2.5

Puma 2.10.2

nginx 1.8.1

Ruby 2.1 with Passenger version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.1 (Passenger Standalone)

2016.03

Ruby 2.1.8-p440

RubyGems 2.2.5

Passenger 4.0.59

nginx 1.8.1

Ruby 2.0 with Puma version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.0 (Puma)

2016.03

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.0 with Passenger version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 2.0 (Passenger Standalone)

2016.03

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.59

nginx 1.8.1

Ruby 1.9 with Passenger version 2.1.2

64bit Amazon Linux 2016.03 v2.1.2 running Ruby 1.9.3

2016.03

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.59

nginx 1.8.1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between between April 7, 2016 and May 13, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Proxy Server

Ruby 2.3 with Puma version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.3 (Puma)

2016.03

Ruby 2.3

RubyGems 2.5.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.3 with Passenger version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.3 (Passenger Standalone)

2016.03

Ruby 2.3

RubyGems 2.5.1

Passenger 4.0.59

nginx 1.8.1

Ruby 2.2 with Puma version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.2 (Puma)

2016.03

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.2 with Passenger version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.2 (Passenger Standalone)

2016.03

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Passenger 4.0.59

nginx 1.8.1

Ruby 2.1 with Puma version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.1 (Puma)

2016.03

Ruby 2.1.8-p440

RubyGems 2.2.5

Puma 2.10.2

nginx 1.8.1

Ruby 2.1 with Passenger version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.1 (Passenger Standalone)

2016.03

Ruby 2.1.8-p440

RubyGems 2.2.5

Passenger 4.0.59

nginx 1.8.1

Ruby 2.0 with Puma version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.0 (Puma)

2016.03

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.10.2

nginx 1.8.1

Ruby 2.0 with Passenger version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 2.0 (Passenger Standalone)

2016.03

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.59

nginx 1.8.1

Ruby 1.9 with Passenger version 2.1.0

64bit Amazon Linux 2016.03 v2.1.0 running Ruby 1.9.3

2016.03

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.59

nginx 1.8.1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between February 26, 2016 and April 7, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Web Server

Ruby 2.2 with Puma version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.2 (Puma)

2015.09

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.2 with Passenger version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.2 (Passenger Standalone)

2015.09

Ruby 2.2.4-p230

RubyGems 2.4.5.1

Passenger 4.0.59

nginx 1.8.0

Ruby 2.1 with Puma version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.1 (Puma)

2015.09

Ruby 2.1.8-p440

RubyGems 2.2.5

Puma 2.10.2

nginx 1.8.0

Ruby 2.1 with Passenger version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.1 (Passenger Standalone)

2015.09

Ruby 2.1.8-p440

RubyGems 2.2.5

Passenger 4.0.59

nginx 1.8.0

Ruby 2.0 with Puma version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.0 (Puma)

2015.09

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.0 with Passenger version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 2.0 (Passenger Standalone)

2015.09

Ruby 2.0.0-p648

RubyGems 2.0.14.1

Passenger 4.0.59

nginx 1.8.0

Ruby 1.9 with Passenger version 2.0.8

64bit Amazon Linux 2015.09 v2.0.8 running Ruby 1.9.3

2015.09

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.59

nginx 1.8.0

Elastic Beanstalk supports the following platform configurations for Ruby environments created between January 11, 2016 and February 26, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Web Server

Ruby 2.2 with Puma version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.2 (Puma)

2015.09

Ruby 2.2.3

RubyGems 2.4.5.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.2 with Passenger version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.2 (Passenger Standalone)

2015.09

Ruby 2.2.3

RubyGems 2.4.5.1

Passenger 4.0.59

nginx 1.8.0

Ruby 2.1 with Puma version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.1 (Puma)

2015.09

Ruby 2.1.7

RubyGems 2.2.5

Puma 2.10.2

nginx 1.8.0

Ruby 2.1 with Passenger version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.1 (Passenger Standalone)

2015.09

Ruby 2.1.7

RubyGems 2.2.5

Passenger 4.0.59

nginx 1.8.0

Ruby 2.0 with Puma version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.0 (Puma)

2015.09

Ruby 2.0.0-p647

RubyGems 2.0.14.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.0 with Passenger version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 2.0 (Passenger Standalone)

2015.09

Ruby 2.0.0-p647

RubyGems 2.0.14.1

Passenger 4.0.59

nginx 1.8.0

Ruby 1.9 with Passenger version 2.0.6

64bit Amazon Linux 2015.09 v2.0.6 running Ruby 1.9.3

2015.09

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.59

nginx 1.8.0

Elastic Beanstalk supports the following platform configurations for Ruby environments created between November 4, 2015 and January 11, 2016:

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

Web Server

Ruby 2.2 with Puma version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.2 (Puma)

2015.09

Ruby 2.2.3

RubyGems 2.4.5.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.2 with Passenger version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.2 (Passenger Standalone)

2015.09

Ruby 2.2.3

RubyGems 2.4.5.1

Passenger 4.0.59

nginx 1.8.0

Ruby 2.1 with Puma version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.1 (Puma)

2015.09

Ruby 2.1.7

RubyGems 2.2.5

Puma 2.10.2

nginx 1.8.0

Ruby 2.1 with Passenger version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.1 (Passenger Standalone)

2015.09

Ruby 2.1.7

RubyGems 2.2.5

Passenger 4.0.59

nginx 1.8.0

Ruby 2.0 with Puma version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.0 (Puma)

2015.09

Ruby 2.0.0-p647

RubyGems 2.0.14.1

Puma 2.10.2

nginx 1.8.0

Ruby 2.0 with Passenger version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 2.0 (Passenger Standalone)

2015.09

Ruby 2.0.0-p647

RubyGems 2.0.14.1

Passenger 4.0.59

nginx 1.8.0

Ruby 1.9 with Passenger version 2.0.4

64bit Amazon Linux 2015.09 v2.0.4 running Ruby 1.9.3

2015.09

Ruby 1.9.3-p551

RubyGems 1.8.23.2

Passenger 4.0.59

nginx 1.8.0

Elastic Beanstalk supports the following platform configurations for Ruby environments created between September 18, 2015 and November 4, 2015:

Configuration and Solution Stack Name

AMI

Language

Application Server

Web Server

Ruby 2.2 with Puma version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2

Nginx 1.6.2

Ruby 2.2 with Passenger version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59

Nginx 1.6.2

Ruby 2.1 with Puma version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2

Nginx 1.6.2

Ruby 2.1 with Passenger version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59

Nginx 1.6.2

Ruby 2.0 with Puma version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2

Nginx 1.6.2

Ruby 2.0 with Passenger version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59

Nginx 1.6.2

Ruby 1.9 with Passenger version 2.0.1

64bit Amazon Linux 2015.03 v2.0.1 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59

Nginx 1.6.2

Elastic Beanstalk supports the following platform configurations for Ruby environments created between August 11, 2015 and September 18, 2015:

Configuration and Solution Stack NameAMILanguageApplication ServerWeb Server

Ruby 2.2 with Puma version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2

nginx 1.6.2

Ruby 2.2 with Passenger version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59

nginx 1.6.2

Ruby 2.1 with Puma version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2

nginx 1.6.2

Ruby 2.1 with Passenger version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59

nginx 1.6.2

Ruby 2.0 with Puma version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2

nginx 1.6.2

Ruby 2.0 with Passenger version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59

nginx 1.6.2

Ruby 1.9 with Passenger version 2.0.0

64bit Amazon Linux 2015.03 v2.0.0 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59

nginx 1.6.2

Elastic Beanstalk supports the following platform configurations for Ruby environments created between August 3, 2015 and August 11, 2015:

Configuration and Solution Stack NameAMILanguageApplication ServerWeb Server

Ruby 2.2 with Puma version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2

nginx 1.6.2

Ruby 2.2 with Passenger version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59

nginx 1.6.2

Ruby 2.1 with Puma version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2

nginx 1.6.2

Ruby 2.1 with Passenger version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59

nginx 1.6.2

Ruby 2.0 with Puma version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2

nginx 1.6.2

Ruby 2.0 with Passenger version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59

nginx 1.6.2

Ruby 1.9 with Passenger version 1.4.6

64bit Amazon Linux 2015.03 v1.4.6 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59

nginx 1.6.2

Elastic Beanstalk supports the following platform configurations for Ruby environments created between June 15, 2015 and August 3, 2015:

Configuration and Solution Stack NameAMILanguageApplication ServerWeb Server

Ruby 2.2 with Puma version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2

nginx 1.6.2

Ruby 2.2 with Passenger version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59

nginx 1.6.2

Ruby 2.1 with Puma version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2

nginx 1.6.2

Ruby 2.1 with Passenger version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59

nginx 1.6.2

Ruby 2.0 with Puma version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2

nginx 1.6.2

Ruby 2.0 with Passenger version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59

nginx 1.6.2

Ruby 1.9 with Passenger version 1.4.3

64bit Amazon Linux 2015.03 v1.4.3 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59

nginx 1.6.2

Elastic Beanstalk supports the following platform configurations for Ruby environments created between May 27, 2015 and June 15, 2015:

Ruby Configurations

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.4.1 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59 and nginx 1.6.2

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between April 22, 2015 and May 26, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.10.2 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59 and nginx 1.6.2

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between April 8, 2015 and April 21, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.2 (Puma)

2015.03

Ruby 2.2.2

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.2 (Passenger Standalone)

2015.03

Ruby 2.2.2

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.1 (Puma)

2015.03

Ruby 2.1.5-p273

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.1 (Passenger Standalone)

2015.03

Ruby 2.1.5-p273

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.0 (Puma)

2015.03

Ruby 2.0.0-p598

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 2.0 (Passenger Standalone)

2015.03

Ruby 2.0.0-p598

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2015.03 v1.3.1 running Ruby 1.9.3

2015.03

Ruby 1.9.3-p551

Passenger 4.0.59 and nginx 1.6.2

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between March 24, 2015 and April 7, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.09 v1.2.1 running Ruby 2.2 (Puma)

2014.09

Ruby 2.2.0

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.1 running Ruby 2.2 (Passenger Standalone)

2014.09

Ruby 2.2.0

Passenger 4.0.59 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.1 (Puma)

2014.09

Ruby 2.1.5-p273

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.1 (Passenger Standalone)

2014.09

Ruby 2.1.5-p273

Passenger 4.0.53 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.0 (Puma)

2014.09

Ruby 2.0.0-p598

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.0 (Passenger Standalone)

2014.09

Ruby 2.0.0-p598

Passenger 4.0.53 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 1.9.3

2014.09

Ruby 1.9.3-p551

Passenger 4.0.53 and nginx 1.6.2

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between February 17, 2015 and March 23, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.1 (Puma)

2014.09

Ruby 2.1.5-p273

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.1 (Passenger Standalone)

2014.09

Ruby 2.1.5-p273

Passenger 4.0.53 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.0 (Puma)

2014.09

Ruby 2.0.0-p598

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 2.0 (Passenger Standalone)

2014.09

Ruby 2.0.0-p598

Passenger 4.0.53 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.2.0 running Ruby 1.9.3

2014.09

Ruby 1.9.3-p551

Passenger 4.0.53 and nginx 1.6.2

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between January 28, 2015 and February 16, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.09 v1.1.01 running Ruby 2.1 (Puma)

2014.09

Ruby 2.1.4

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.1.01 running Ruby 2.1 (Passenger Standalone)

2014.09

Ruby 2.1.4

Passenger 4.0.53

 

64bit Amazon Linux 2014.09 v1.1.01 running Ruby 2.0 (Puma)

2014.09

Ruby 2.0.0-p594

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.1.01 running Ruby 2.0 (Passenger Standalone)

2014.09

Ruby 2.0.0-p594

Passenger 4.0.53

 

64bit Amazon Linux 2014.09 v1.1.01 running Ruby 1.9.3

2014.09

Ruby 1.9.3-p550

Passenger 4.0.53

 

64bit Amazon Linux 2014.03 v1.1.01 running Ruby 2.1 (Puma)

2014.03

Ruby 2.1.2-p95

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.1.01 running Ruby 2.1 (Passenger Standalone)

2014.03

Ruby 2.1.2

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.1.01 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0-p481

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.1.01 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.03 v1.1.01 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.1.01 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between October 31, 2014 and January 27, 2015:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.09 v1.0.9 running Ruby 2.1 (Puma)

2014.09

Ruby 2.1.4

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.0.9 running Ruby 2.1 (Passenger Standalone)

2014.09

Ruby 2.1.4

Passenger 4.0.53

 

64bit Amazon Linux 2014.09 v1.0.9 running Ruby 2.0 (Puma)

2014.09

Ruby 2.0.0-p594

Puma 2.9.1 and nginx 1.6.2

 

64bit Amazon Linux 2014.09 v1.0.9 running Ruby 2.0 (Passenger Standalone)

2014.09

Ruby 2.0.0-p594

Passenger 4.0.53

 

64bit Amazon Linux 2014.09 v1.0.9 running Ruby 1.9.3

2014.09

Ruby 1.9.3-p550

Passenger 4.0.53

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between October 16, 2014 and October 30, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.91 running Ruby 2.1 (Puma)

2014.03

Ruby 2.1.2

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.91 running Ruby 2.1 (Passenger Standalone)

2014.03

Ruby 2.1.2

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.91 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.91 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.03 v1.0.91 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.91 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

1CVE-2014-3566 Advisory

Elastic Beanstalk supports the following platform configurations for Ruby environments created between September 24, 2014 and October 15, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.71 running Ruby 2.1 (Puma)

2014.03

Ruby 2.1.2

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.71 running Ruby 2.1 (Passenger Standalone)

2014.03

Ruby 2.1.2

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.71 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.71 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.03 v1.0.71 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.71 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

1 CVE-2014-6271 Advisory and ALAS-2014-419

Elastic Beanstalk supports the following platform configurations for Ruby environments created between August 14, 2014 and September 23, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.0 running Ruby 2.1 (Puma)

2014.03

Ruby 2.1.2

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.0 running Ruby 2.1 (Passenger Standalone)

2014.03

Ruby 2.1.2

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.5 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.4 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.4 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between June 30, 2014 and August 13, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.5 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.4 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.4 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between June 5, 2014 and June 29, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.41 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.31 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.03 v1.0.31 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.31 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

1 OpenSSL Security Advisory

Elastic Beanstalk supports the following platform configurations for Ruby environments created between May 14, 2014 and June 4, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.3 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between May 5, 2014 and May 13, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.2 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.2 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.03 v1.0.2 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.03 v1.0.2 running Ruby 1.9.3

2014.03

Ruby 1.9.3

Passenger 4.0.37

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between April 7, 2014 and May 4, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 v1.0.12 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 v1.0.12 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.02 v1.0.11 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 v1.0.11 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

32bit Amazon Linux 2014.02 v1.0.11 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 v1.0.11 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

32bit Amazon Linux 2013.09 v1.0.11 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 v1.0.11 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

32bit Amazon Linux 2013.09 v1.0.11 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 v1.0.11 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

1 openssl-1.0.1e-4.58.amzn1

2 openssl-1.0.1e-37.66.amzn1

Elastic Beanstalk supports the following platform configurations for Ruby environments created between April 2, 2014 and April 6, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

64bit Amazon Linux 2014.03 running Ruby 2.0 (Puma)

2014.03

Ruby 2.0.0

Puma 2.8.1 and nginx 1.4.7

 

64bit Amazon Linux 2014.03 running Ruby 2.0 (Passenger Standalone)

2014.03

Ruby 2.0.0

Passenger 4.0.37

 

32bit Amazon Linux 2014.02 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

32bit Amazon Linux 2014.02 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

32bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

32bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between March 18, 2014 and April 1, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

32bit Amazon Linux 2014.02 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.37

 

32bit Amazon Linux 2014.02 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

64bit Amazon Linux 2014.02 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.37

 

32bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

32bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

Elastic Beanstalk supports the following platform configurations for Ruby environments created between November 9, 2013 and March 17, 2014:

Ruby Container Types

NameAMILanguageApplication/Web Server 

32bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.9.3

2013.09

Ruby 1.9.3

Passenger 4.0.20

 

32bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

64bit Amazon Linux 2013.09 running Ruby 1.8.7

2013.09

Ruby 1.8.7

Passenger 4.0.20

 

Elastic Beanstalk supports the following container types for environments created with Ruby containers prior to November 9, 2013:

Ruby Container Types

NameAMILanguageApplication/Web Server 

32bit Amazon Linux running Ruby 1.9.3

2012.09

Ruby 1.9.3

Passenger 3.0.17

 

64bit Amazon Linux running Ruby 1.9.3

2012.09

Ruby 1.9.3

Passenger 3.0.17

 

32bit Amazon Linux running Ruby 1.8.7

2012.09

Ruby 1.8.7

Passenger 3.0.17

 

64bit Amazon Linux running Ruby 1.8.7

2012.09

Ruby 1.8.7

Passenger 3.0.17